# $Id: smeserver-openoffice-portable.spec,v 1.1 2013/03/03 21:08:55 unnilennium Exp $
# Authority: mweinber
# Name: Michael Weinberger

Summary: OpenOfficePortable integration
%define name smeserver-openoffice-portable
Name: %{name}
%define version 2.4.0
%define release 3
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Applications/Office
Source: %{name}-%{version}.tar.gz
BuildRoot: /var/tmp/%{name}-buildroot/
BuildArch: noarch
Requires: smeserver-release >= 7.1.2
Requires: perl-XML-Twig >= 3.29
BuildRequires: e-smith-devtools
AutoReq: no
Patch0: smeserver-openoffice-portable-2.4.0-touchlicense.patch
Patch1: smeserver-openoffice-portable-2.4.0-typo.patch

%description
Integrates the OpenOfficePortable application into the SME environment

After installation run:
config gettype openoffice || config set openoffice service
setprop openoffice status enable
signal-event workgroup-update

See http://wiki.contribs.org/OpenOffice_for_Windows for full documentation.

%changelog
* Tue Apr 22 2008 Michael Weinberger <mweinber@neddix.de> 2.4.0-3
  Typo fixed
* Mon Apr 21 2008 Michael Weinberger <mweinber@neddix.de> 2.4.0-2
  Touch license files to avoid license dialog
* Mon Apr 21 2008 Michael Weinberger <mweinber@neddix.de> 2.4.0-1
  Update to 2.4
  Fix ownership of /opt/openoffice in script openoffice-init
* Sun Mar 16 2008 Michael Weinberger <mweinber@neddix.de> 2.3.1-11
  openoffice-delete-history as seperate script
* Sat Mar 15 2008 Michael Weinberger <mweinber@neddix.de> 2.3.1-10
  openoffice-delete-history added
* Fri Mar 14 2008 Michael Weinberger <mweinber@neddix.de> 2.3.1-9
  rename OpenOfficePortable.ini to OpenOfficePortable.ini.contrib
* Thu Mar 13 2008 Michael Weinberger <mweinber@neddix.de> 2.3.1-8
  OO Pathes fixed
  OpenOfficePortable.ini added
  openoffice configuration db record for enable/disable program share
* Thu Feb 28 2008 Michael Weinberger <mweinber@neddix.de> 2.3.1-7
  Spec file fix
* Thu Feb 14 2008 Michael Weinberger <mweinber@neddix.de>
- Initial release

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1 
%patch1 -p1 

%build

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist  $RPM_BUILD_ROOT  \
--dir /opt/openoffice 'attr(755,admin,admin)' \
--dir /opt/openoffice/OpenOfficePortable 'attr(755,admin,admin)' \
--file /opt/openoffice/OpenOfficePortable/OpenOfficePortable.ini.contrib 'attr(644,admin,admin)' \
--file /opt/openoffice/download.url 'attr(644,admin,admin)' \
 >> %{name}-%{version}-filelist

%clean 
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
